Package com.evopdf

# Class AuthenticationOptions

java.lang.Object
com.evopdf.AuthenticationOptions

public class AuthenticationOptions extends Object
Authentication options for accessing a URL in HTML to PDF converter like Integrated Windows Authentication in IIS.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AuthenticationOptions()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `password()`
  Gets the password of the user used for authentication
  `void`
  `setPassword(String password)`
  Sets the password of the user used for authentication
  `void`
  `setUseDefaultCredentials(boolean useDefaultCredentials)`
  Sets the flag indicating if the HTML to PDF server user account credentials are used when the HTML page being converted is requested.
  `void`
  `setUsername(String username)`
  Sets the username of the user used for authentication
  `boolean`
  `useDefaultCredentials()`
  Gets the flag indicating if the HTML to PDF server user account credentials are used when the HTML page being converted is requested.
  `String`
  `username()`
  Gets the username of the user used for authentication

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AuthenticationOptions

    public AuthenticationOptions()

- ## Method Details

  - ### username

    public String username()
    Gets the username of the user used for authentication
    Returns:
      the username used for authentication

  - ### setUsername

    public void setUsername(String username)
    Sets the username of the user used for authentication
    Parameters:
      `username` - the username used for authentication

  - ### password

    public String password()
    Gets the password of the user used for authentication
    Returns:
      the password of the user used for authentication

  - ### setPassword

    public void setPassword(String password)
    Sets the password of the user used for authentication
    Parameters:
      `password` - the password to set

  - ### useDefaultCredentials

    public boolean useDefaultCredentials()
    Gets the flag indicating if the HTML to PDF server user account credentials are used when the HTML page being converted is requested.
    Returns:
      the flag value

  - ### setUseDefaultCredentials

    public void setUseDefaultCredentials(boolean useDefaultCredentials)
    Sets the flag indicating if the HTML to PDF server user account credentials are used when the HTML page being converted is requested. If the `username()` property is set this property will not have any effect. The default value is true.
    Parameters:
      `useDefaultCredentials` - the flag value to set